#include <string.h>

#include "io.h"
#include "paee.h"

/*  PAEE  */
/*  http://paee.presi.org  */
/*  Primera Aventura (o lo que sea) Experimental y Extraa v1.1  */
/*  variante [ completa ilustrada ; C independiente de entrada/salida; texto ISO-8859-1  ]  */
/*  (C) 1999,2005,2006,2007 Presi (Enrique D. Bosch) [textos y cdigo]  */
/*  (C) 2005,2006 Jenesis (Antonia Visiedo) [ilustraciones]  */
/*  Puede distribuirse libremente sin modificaciones en la historia e ilutraciones  */

void paee(void)
{
  opc opcn[MAX_OP];
  byte8 sig = 0, seguir = TRUE, repetir,
        nopciones, aux, hopc = FALSE;
  byte8 (*fa)(struct opci *opcn);

  opcn[0].pf = fa = p1;
  opcn[0].topc[0] = '\0';

  while (seguir)
  {
    do
    {
      repetir = FALSE;
      if (hopc) { hopc = FALSE; fa = opcn[sig].pf; }
      nopciones = opcn[sig].pf(opcn);
      switch (nopciones)
      {
        case 0:
          sig = 0;
          break;
        case FIN:
          if (fin()) terminar();
          else seguir = FALSE;
          break;
        case REINICIAR:
          seguir = FALSE;
          break;
        default:
          hopc = TRUE;
          mostrar_opciones(opcn,TRUE);
          aux = sig;
          sig = input(opcn,nopciones,TRUE);
          if (sig==I_REINI) seguir = FALSE;
          if (sig==I_REVER)
          {
            repetir = TRUE;
            sig = aux;
            opcn[sig].pf = fa;
          }
      }
    }
    while (repetir);
  }
}


byte8 fin(void)
{
  opc finales[3];
  
  strcpy(finales[0].topc,VOLVER_A);
  strcpy(finales[1].topc,TERMINAR);
  finales[2].topc[0] = '\0';
  mostrar_opciones(finales,FALSE);
  return input(finales,2,FALSE);
}



byte8 p1(opc *opcn)
{
  byte8 x =

  mostrar
  (
    "portada",
    "PAEE\n"
    "http://paee.presi.org\n"
    "Primera Aventura (o lo que sea) Experimental y Extraa v1.1\n"
    "variante [ completa" CA_ILUSTRADA "; " CA_PLAT " ]\n"
    "(C) 1999,2005,2006,2007" CA_ANYOS " Presi (Enrique D. Bosch) [textos y cdigo]\n"
    CA_CO_ILUSTRACIONES
    "Puede distribuirse libremente sin modificaciones en la historia" CA_NI_ILUSTRACIONES "\n",
    INI
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p2;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p2(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "20",
    "Ests en casa, jugando a tu juego favorito de ordenador. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p46;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p3(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "01",
    "Te acercas cautelosamente al umbral y el resultado no vara, es decir, sigue "
    "sin verse absolutamente nada pues la oscuridad del interior es total, antes "
    "de que puedas darte cuenta el umbral te absorbe mediante una fuerza "
    "desconocida. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p84;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p4(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "02",
    "Parece ser que no se sabe cmo has ido a parar a una civilizacin futurista "
    "y de lo ms aburrida, aqu todos son polticamente correctos y lo peor de "
    "todo es que no ves la forma de salir de ah. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p5;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p5(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "26",
    "De repente aparecen dos hombres fuertes, aunque por su aspecto fsico no se "
    "dira, que te agarran cada uno de un brazo y te llevan a un edificio, "
    "parecen una especie de policas porque llevan un pequeo escudo en sus ropas "
    "(las ropas son iguales a las de todos los dems), te meten en un pequeo "
    "cuarto totalmente oscuro en donde pierdes la consciencia. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p6;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p6(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Debes haber violado unas cuantas leyes de esta civilizacin, y sin necesidad "
    "de juicio ya se ha aplicado la pena, incluso tu cadver se ha desintegrado. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p7(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "03",
    "Extiendes el brazo hacia arriba, alcanzas con el dedo el botn de aviso a un "
    "auxiliar de vuelo y lo pulsas, nada ms apretarlo el pulsador se enciende y "
    "al cabo de unos segundos aparece una azafata o pudiera ser que fuera "
    "azafato, pues es tal su ambigedad sexual que nadie en su sano juicio "
    "apostara un cntimo de euro por decantarse por uno u otro sexo. Abre los "
    "labios ligeramente para decir algo, pero antes de que lo haga sientes que "
    "tienes el poder para 'asignarle' un sexo al individuo en cuestin. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Le asignas el sexo masculino");
  opcn[0].pf = p61;
  strcpy(opcn[1].topc,"Le asignas el sexo femenino");
  opcn[1].pf = p36;
  strcpy(opcn[2].topc,"Le asignas ser hermafrodita");
  opcn[2].pf = p68;
  strcpy(opcn[3].topc,"No le asignas ningn sexo");
  opcn[3].pf = p95;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p8(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "04",
    "Te bajas en la siguiente parada, y te das cuenta que ests en una parada "
    "cercana a tu casa, en tu propia ciudad, pero desde el interior del autobs "
    "te pareca que te encontrabas en una ciudad desconocida. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p9(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "05",
    "Te levantas de tu asiento con normalidad y cuando ests cerca de la persona "
    "elegida, te lanzas sobre ella en menos de una dcima de segundo y sin que le "
    "d tiempo de reaccionar le plantas un estupendo beso en el centro de sus "
    "labios, la persona a la que te has lanzado al cabo de unos segundos te coge "
    "la cabeza y la aparta, te mira directamente a los ojos otros pocos segundos "
    "y luego es ella la que te devuelve un formidable beso, ms largo y "
    "placentero que el anterior, entonces te vuelve a alejar la cabeza y te "
    "propina una sonora y fuerte bofetada. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p10;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p10(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Y en ese mismo instante, cuando aun te ests doliendo de la bofetada "
    "desapareces del autobs y apareces justo de donde desapareciste al "
    "principio, es decir, ests jugando al ordenador en tu casa. La cara ya no te "
    "duele, te habrs quedado dormido y todo no ha sido ms que un sueo?, "
    "cuando vas al cuarto de bao y te miras al espejo tienes la cara toda roja "
    "justo donde te dieron la bofetada. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p11(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "06",
    "Sigues cayendo, llevas ya unos cuantos minutos hundindote cada vez ms, a "
    "travs del agua no ves rastro alguno de vida, ni peces ni nada parecido, "
    "poco a poco la luz va teniendo dificultad para llegar a las profundidades a "
    "las que ests, hacia abajo est todo oscuro. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p12;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p12(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "06",
    "De repente tus pies tocan algo slido, bueno slido no es exactamente, es "
    "algo blandengue en lo que tus pies se van hundiendo, es como lodo y ya te "
    "llega hasta la cintura, pronto te absorber. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p13;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p13(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "38",
    "Ya ests totalmente totalmente hundido o hundida en el lodo, la oscuridad es total, "
    "pero puedes seguir respirando, este lodo al contacto con tu cuerpo te "
    "produce una sensacin de cosquilleo curiosa y sigues hundindote en l ms y "
    "ms. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p14;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p14(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "38",
    "Debes llevar horas bajando por el lodo, el aburrimiento se ha apoderado de "
    "ti hace muchas horas y lo que ms deseas es que llegues a algn sitio, y "
    "justo en ese momento tocas con los pies algo realmente slido, es un suelo "
    "como de rocas algo irregular, puedes caminar sin dificultad, la oscuridad "
    "sigue siendo una de las grandes protagonistas. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p15;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p15(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Cuando te vas a preguntar hacia dnde podras ir, o qu vas a hacer notas "
    "como el lodo empieza a agitarse, se estn produciendo turbulencias y "
    "remolinos que te arrastran de un lado a otro, ya no tocas suelo y el lodo "
    "empieza a calmarse, vuelves a bajar pensando que tocars de nuevo suelo pero "
    "no, caes hacia abajo y sales del lodo, como si el lodo fuera una nube y ests "
    "cayendo por el aire, por un cielo amarillo clarito, hacia abajo se divisa "
    "una ciudad, no tienes ni idea de qu ciudad es. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p16;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p16(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Ya ests muy cerca del suelo, ya has entrado en la maraa de edificios de la "
    "ciudad, mientras sigues cayendo puedes ver por las ventanas de los edificios "
    "a gente en sus oficinas, amas de casa algunas realizando sus quehaceres y "
    "otras viendo la televisin, etc. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p17;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p17(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Vas a caer en medio de la calle, en ese momento pasa un autobs de lnea en "
    "medio de la va pblica, cayendo atraviesas su techo como un fantasma y caes "
    "suavemente en un asiento, el autobs va bastante vaco y como la gente va "
    "pensando en sus cosas no se han dado cuenta de tu extraordinaria presencia. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Bajar en la prxima parada");
  opcn[0].pf = p8;
  strcpy(opcn[1].topc,"Matar al conductor");
  opcn[1].pf = p62;
  strcpy(opcn[2].topc,"Darle un beso en toda la boca a un chico o chica muy atractivo o actractiva que est sentado o sentada no muy lejos de ti");
  opcn[2].pf = p9;
  strcpy(opcn[3].topc,"Romper el cristal y tirate por la ventana");
  opcn[3].pf = p25;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p18(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "07",
    "De repente sin saber cmo ni porqu ests recostado en la cama de tu "
    "habitacin, en tu propia casa, quizs todo haya sido un sueo, pero pareca "
    "tan real que no podras asegurarlo. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p19(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "07",
    "De repente sin saber cmo ni porqu ests recostado en la cama de tu "
    "habitacin, en tu propia casa, quizs todo haya sido un sueo, pero pareca "
    "tan real que no podras asegurarlo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p65;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p20(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "08",
    "Empiezas a dar saltos encima de la colchoneta como un capullo y cuando ya "
    "llevas unos cuantos, la colchoneta se hunde y t con ella. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p21;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p21(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "0802",
    "La colchoneta cae, t ests acostado o acostada sobre ella boca abajo intentando no "
    "soltarte, puedes notar una aceleracin de cada tan fuerte que te produce "
    "mareos, la colchoneta ya no es una colchoneta, se ha convertido en un tabln "
    "de madera muy pesado y duro, todo esto lo deduces del tacto pues desde que "
    "caste reina la ms absoluta oscuridad. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p22;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p22(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "0802",
    "Sigues aferrado al tabln, este empieza a dar vueltas de campana en todas "
    "direcciones y t con l, el mareo es tan fuerte que te empiezan a entrar "
    "nuseas, empiezas a vomitar, justamente cuando empiezas a hacerlo el tabln "
    "se empieza a estabilizar de modo que evitas ahogarte con tus propios "
    "vmitos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p23;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p23(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "0802",
    "Paras de vomitar, el tabln comienza a perder aceleracin, es como si "
    "estuviera frenando, a tu alrededor empieza a hacerse la claridad, es como un "
    "amanecer sin sol, y con un cielo rojo claro, ahora con luz puedes ver que el "
    "tabln es en realidad una puerta de madera lisa pero con su pomo, miras "
    "hacia abajo y ves un suelo totalmente liso y blanco, ahora mismo vas "
    "cayendo como si fueras con paracadas de modo que no te matars cuando "
    "aterrices, te sueltas accidentalmente de la puerta y descubres que caes a la "
    "misma velocidad que esta sin importar que ahora caes en posicin erguida. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p24;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p24(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Aterrizas suavemente y de pie sobre el suelo, la puerta cae y se incrusta en "
    "el suelo, de hecho ahora tiene un marco y visagras. A tu alrededor no se "
    "divisa nada, solo un horizonte que separa el suelo blanco del cielo rojo, en "
    "todas direcciones. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Abrir la puerta");
  opcn[0].pf = p60;
  strcpy(opcn[1].topc,"Correr hacia cualquier direccin");
  opcn[1].pf = p69;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p25(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "09",
    "Rompes el cristal del autobs ante al asombro de la gente que est all y "
    "te lanzas a la calle, te dueles un poco del golpe pero afortunadamente "
    "llevabas casco, por cierto, antes no lo llevabas y en realidad no ests en "
    "una calle de una ciudad sino en medio de una pista de competicin del motor, "
    "de repente ves como se te acerca a toda velocidad un Frmula 1, no puedes "
    "hacer nada para evitarlo, te embiste de pleno. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p19;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p26(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "10",
    "Sigue lloviendo, est diluviando, llueve tanto que en el suelo empieza a "
    "acumularse agua, se est inundando, el nivel del agua sube rpidamente, tan "
    "rpidamente que ya tienes que nadar para no ahogarte, a duras penas puedes "
    "sacar la cabeza por la superficie del agua con toda la que te cae encima. "
    "Todo ha pasado tan deprisa que no te ha dado tiempo de reaccionar, qu "
    "hars ahora? ",
    FALSE
  );
  strcpy(opcn[0].topc,"Nadar hacia una montaa que acabas de divisar");
  opcn[0].pf = p50;
  strcpy(opcn[1].topc,"Quedarte quiet@ esperando que deje de llover");
  opcn[1].pf = p32;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p27(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "- Oiga, puede decirme dnde estamos? ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p28;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p28(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "11",
    "- Pero, es que no lo ves?, estamos en un avin -responde el tipo malcarado "
    "que tienes a tu lado derecho.\n"
    "- No, digo que dnde se encuentra este avin, adnde vamos?\n"
    "Pero el tipo ya no responde y por ms que intentas hablar con l no te hace "
    "ningn caso, entonces pruebas a preguntarle a la anciana que tienes a tu "
    "izquierda pero tampoco contesta, parece que todo el mundo pasa de ti, y "
    "descubres horrorizado que has perdido el contacto fsico con tu entorno, s, "
    "t ests ah pero eres como una especie de fantasma, incluso vas flotando "
    "sin tocar el suelo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p29;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p29(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "11",
    "Quizs hayas muerto, no lo sabras decir, pero el caso es que t te quedas "
    "encerrado en el avin para la eternidad pues el avin no parece llegar nunca "
    "a su destino. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p30(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "07",
    "Te recuestas sobre la colchoneta e intentas dormir, seguramente esto es un "
    "sueo y cuando te despiertes todo habr pasado. Pasados unos minutos te das "
    "cuenta de que te es imposible conciliar el sueo, y te convences de que lo "
    "que ests viviendo no es un sueo. O s lo es?, porque te acabas de quedar "
    "profundamente dormido en este mismo instante, era lo que queras, no? ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p31;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p31(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "12",
    "Cuando te despiertas ya no ests donde estabas, ahora te encuentras sentado o sentada "
    "en una butaca bastante cmoda, ests en un autobs?, no, hay demasiados "
    "asientos, y todos repletos de gente mires donde mires, pero no es un cine ni "
    "un teatro porque el espacio es reducido y... ests en un avin! ",
    FALSE
  );
  strcpy(opcn[0].topc,"Llamar a la azafata (auxiliares de vuelo las llaman ahora)");
  opcn[0].pf = p7;
  strcpy(opcn[1].topc,"Preguntarle a alguien de tu alrededor dnde ests");
  opcn[1].pf = p27;
  strcpy(opcn[2].topc,"Saltar por encima de los asientos como un loco");
  opcn[2].pf = p58;
  strcpy(opcn[3].topc,"Intentar llegar a la cabina del piloto");
  opcn[3].pf = p71;
  strcpy(opcn[4].topc,"Ir al lavabo");
  opcn[4].pf = p54;
  opcn[5].topc[0] = '\0';
  if (x) return 5;
  else return REINICIAR;
}


byte8 p32(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "13",
    "Te quedas quieto, nadando solo justo lo necesario para mantenerte a flote "
    "sin desperdiciar nada de tus energas, pero no para de llover, llueve cada "
    "vez ms y por arriba lo que creas que era un cielo es un techo que se "
    "acerca cada vez ms tu cabeza por la subida del nivel de agua, est todo "
    "lleno de agua, ya no hay sitio ni para tu cabeza, terminas por ahogarte. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p33(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "14",
    "Te sientas en el puesto del piloto y empiezas a tocar todos los botones que "
    "tienes a la vista, tiras la palanca de mando hacia adelante a tope, el avin "
    "empieza a descender, hay unos cuantos indicadores rojos que se encienden y "
    "emiten pitidos, el avin baja a toda velocidad, notas cierta sensacin de "
    "ingravidez. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p34;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p34(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "La colisin del avin contra el suelo es brutal, tu vista se nubla. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p35;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p35(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "09",
    "De repente te encuentras en el habitculo de un coche de carreras, es un "
    "Frumula 1, de color rojo, sin embargo por el espejo retrovisior te miras el "
    "casco y es el de un conocido piloto finlands (que no pertenece a la "
    "escudera con la que corres), es increible pero pilotas a la perfeccin un "
    "coche de Frmula 1, vas por una recta pisando a fondo el acelerador, ahora "
    "viene una curva asi que frenas lo justo para entrar en ella a la mxima "
    "velocidad, en fin, que conduces como un nmero uno, y por los carteles y la "
    "radio te informan de que vas primero. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Seguir as hasta el final de carrera");
  opcn[0].pf = p42;
  strcpy(opcn[1].topc,"Abandonar el monoplaza en plena marcha");
  opcn[1].pf = p77;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p36(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "15",
    "Slo con tu deseo consigues que el bicho ambiguo poco a poco (aunque el "
    "cambio se produce en menos de una dcima de segundo) se transforme en una "
    "mujer totalmente femenina y poderosamente atractiva, en fin, en una ta de "
    "lo ms buenorra, acto seguido con una dulce voz digna de una soprano "
    "pronuncia: 'Qu desea, seor(a)?' ",
    FALSE
  );
  strcpy(opcn[0].topc,"'Deseo un zumo de naranja'");
  opcn[0].pf = p90;
  strcpy(opcn[1].topc,"'Eres una zorra, puta, guarra de mierda'");
  opcn[1].pf = p89;
  strcpy(opcn[2].topc,"'Quiero follarte ahora mismo'");
  opcn[2].pf = p37;
  strcpy(opcn[3].topc,"No dices nada y le das un puetazo en toda la cara con todas tus fuerzas");
  opcn[3].pf = p73;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p37(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "16",
    "Nada ms decirlo, se te hecha encima y os poneis a follar como leones, "
    "delante de toda la gente, dicho acto sexual se desarrolla de una manera "
    "totalmente bestial, brutal, de hecho empieza a no gustarte, pese a haberlo "
    "querido tienes la sensacin de estar siendo violado o violada, pero no puedes hacer "
    "nada para pararlo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p38;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p38(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Al cabo de un buen rato, la persona en cuestin se va como si nada, y todos "
    "los dems tambin como si nada, te sientes fatal, al cabo de unos minutos el "
    "avin aterriza en una ciudad totalmente desconocida, en un pas igualmente "
    "desconocido, ests en el planeta Tierra?, ests a fianles de siglo 20? ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p39(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "17",
    "Ahora ests en lo que parece una especie de ciudad, los edificios son "
    "construcciones con formas geomtricas simples: prismas, esferas, pirmides, "
    "y tambin algunos cilindros y conos, su superficie es de color metlica y "
    "brillan a la luz de un astro, parece el sol pero algo ms apagado. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p40;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p40(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "44",
    "Hace calor, la gente va con poca ropa y muy fina, tanto que a travs de ella "
    "se transparentan sus genitales, que por cierto toda la gente tiene genitales "
    "decrpitos y feos. Por tierra toda la gente va caminando y por el aire se "
    "ven cientos o miles de lo que parecen ser vehculos areos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p41;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p41(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Hay mucha gente a tu alrededor pero nadie te hace el menor caso, pese a ir "
    "vestido radicalmente distinto a ellos. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Ponerte a manosear los genitales de la gente");
  opcn[0].pf = p83;
  strcpy(opcn[1].topc,"Empezar a dar hostias a la gente");
  opcn[1].pf = p45;
  strcpy(opcn[2].topc,"Qudarte quieto donde ests observando qu pasa");
  opcn[2].pf = p76;
  opcn[3].topc[0] = '\0';
  if (x) return 3;
  else return REINICIAR;
}


byte8 p42(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "09",
    "Sigues corriendo lo mejor que puedes para ganar, el cansancio empieza a "
    "hacerse algo patente pero aun as tu conduccin es impecable, ni t mismo "
    "entiendes como puedes conducir as. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p43;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p43(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Terminas la carrera y ganas, cuando bajas del coche, todo el mundo te toma "
    "por un campen finlands y dan por sentado que corres para una famosa "
    "escudera italiana cuyo color es el rojo, y adems se celebra que en este "
    "ltimo gran premio has ganado el campeonato del mundo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p44;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p44(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "18",
    "En un momento determinado pasas por delante de un espejo, tu cara es la de "
    "Mika Hakkinen. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p45(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "19",
    "Empiezas a golpear a la gente con todas tus fuerza, todos actan de la misma "
    "manera, al recibir el golpe caen al suelo y enseguida se levantan y siguen "
    "su camino como si nada, no intentan defenderse ni devolverte los golpes, "
    "pasan bastante de ti, a algunos incluso les produces heridas que sangran "
    "pero igualmente se levantan y siguen su camino, al principio resulta "
    "divertido, pero al cabo de una media hora empieza a resultar de lo ms "
    "aburrido. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p4;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p46(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "31",
    "De repente, el monitor empieza a parpadear, lo miras extraado y con cara de "
    "pocos amigos, a veces la tarjeta grfica aceleradora falla pero esto nunca "
    "haba pasado. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p47;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p47(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Est claro que se te ha fastidiado la partida que estabas jugando. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p48;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p48(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "203",
    "Sin saber cmo sientes que ya no ests en tu casa, pues en la habitacin "
    "donde estabas haba un ordenador y unos muebles y ahora te encuentras en una "
    "sala circular de paredes blancas y lisas, suficientemente grande, de unos 4 "
    "metros de dimetro, en el suelo, casi ocupando toda la superficie hay una "
    "colchoneta tambin circular sobre las que ests sentado o sentada con las piernas "
    "estiradas.\n"
    "No hay aparentemente salidas. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Acostarte e intentar dormir");
  opcn[0].pf = p30;
  strcpy(opcn[1].topc,"Dar saltos sobre la colchoneta");
  opcn[1].pf = p20;
  strcpy(opcn[2].topc,"Examinar las paredes");
  opcn[2].pf = p82;
  strcpy(opcn[3].topc,"No hacer absolutamente nada y seguir como ahora");
  opcn[3].pf = p64;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p49(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "203",
    "No hay aparentemente salidas. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Acostarte e intentar dormir");
  opcn[0].pf = p30;
  strcpy(opcn[1].topc,"Dar saltos sobre la colchoneta");
  opcn[1].pf = p20;
  strcpy(opcn[2].topc,"Examinar las paredes");
  opcn[2].pf = p82;
  strcpy(opcn[3].topc,"No hacer absolutamente nada y seguir como ahora");
  opcn[3].pf = p64;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p50(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "21",
    "Empiezas a nadar hacia la montaa, nadas a una velocidad increblemente "
    "rpida as que llegas pronto a la montaa que pareca lejana, justo cuando "
    "llegas deja de llover y sale un sol radiante, la isla donde est la montaa "
    "es una isla de esas donde siempre van a parar los nufragos, t no eres "
    "nufrago en sentido estricto pero quedas en las mismas condiciones que si lo "
    "fueras. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p51(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "22",
    "Empiezas el camino de regreso por donde crees que has venido, en busca de "
    "nuevo de la puerta. Llevas ya un buen rato intentando encontrarla pero es "
    "intil, es evidente que la puerta no aparece, ests en medio de la nada y la "
    "desorientacin es total, podras estar a ms de un kilmetro de distancia de "
    "la puerta pero, en qu direccin?, o podra ser simplemente que la puerta "
    "hubiera desaparecido, pues con las cosa raras que pasan ltimamente... ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p52;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p52(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "22",
    "El caso es que no encuentras la puerta y vas a permanecer en medio de la "
    "nada (un suelo blanco y un cielo que se ha vuelto negro) para el resto de tu "
    "vida, y como parece ser que puedes sobrevivir en este entorno sin beber ni "
    "comer, resulta que vas a pasar mucho tiempo en este sitio, toda la "
    "eternidad en concreto. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p53(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "23",
    "Te lanzas al mar, caes muy rpido y te golpeas fuerte contra el agua pero no "
    "sientes el menor dolor, una vez en el agua comienzas a hundirte ms y ms "
    "sin poder hacer nada por evitarlo, parece que te vas a ahogar pero no es "
    "as, puedes respirar perfectamente como un pez por sus agallas. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p11;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p54(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "24",
    "Te levantas de tu asiento y te diriges al lavabo, cuando llegas est ocupado "
    "as que esperas unos minutos hasta que sale la persona que lo estaba "
    "utilizando, entonces entras y cierras la puerta, de repente oyes un "
    "estruendoso ruido que proviene del retrete y t no has tocado el pulsador "
    "que tira el agua y desaloja los desechos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p55;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p55(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "06",
    "Sientes una corriente de aire, y notas como el agujero del retrete, te est "
    "absorbiendo!, la fuerza de atraccin va en aumento hasta que no puedes "
    "resistirte ms y el agujero te engulle, no entiendes como has podido caber "
    "por ese agujero tan diminuto. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p56;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p56(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Crees que vas a aparecer en medio del aire, expulsado por el avin pero no, "
    "ahora ests en un medio acutico, y no paras de hundirte ms y ms en l, "
    "pero lo ms curioso es que no tienes dificultad para respirar, respiras con "
    "normalidad, en el agua! ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p11;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p57(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "25",
    "No te atreves a lanzarte, y la puerta se cierra ella sola con gran rapidez, "
    "notas algo en la cabeza, son gotas de agua, perece que se est poniendo a "
    "llover, el agua aumenta en cantidad, cada vez llueve ms, llueve muchsimo, "
    "ests totalmente mojado, en tu vida habas visto llover tanto, y no se ve "
    "una nube en el cielo rojizo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p26;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p58(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Saltas como un loco por encima de los asientos, nadando por las cabezas de "
    "la gente, ests armando un buen jaleo, varios auxiliares de vuelo te cogen y "
    "te inmovilizan y t sigues resistindote como un loco, sin mediar palabra "
    "los auxiliares te conducen hasta una de las puertas del avin, y la abren "
    "delante de tus narices. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p59;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p59(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "La puerta se abre pero sorprendentemente la cabina no empieza a "
    "despresurizarse, ni siquiera corre un pelo de aire, acto seguido los "
    "auxiliares de vuelo te expulsan del avin por la puerta y despus la "
    "cierran. T empiezas a caer. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p18;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p60(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "27",
    "Abres la puerta que como est en el suelo se abre a modo de escotilla, miras "
    "hacia abajo a travs de la abertura que deja la puerta y divisas una "
    "superficie que est muy abajo y que... parece agua, s, es una extensin "
    "enorme de agua, parece un mar, al mismo tiempo notas que desde abajo sopla "
    "un viento helado. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Lanzarte al mar a travs de la apertura de la puerta");
  opcn[0].pf = p53;
  strcpy(opcn[1].topc,"No lanzarte y permanecer donde ests");
  opcn[1].pf = p57;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p61(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "33",
    "Solo con tu deseo consigues que el bicho ambiguo poco a poco (aunque el "
    "cambio se produce en menos de una dcima de segundo) se transforme en un "
    "hombre varonil, fuerte y poderosamente atractivo, en fin, en un semental, "
    "acto seguido con un vozarrn digno de un tenor pronuncia: 'Qu desea, "
    "seor(a)?' a lo que tu respondes... ",
    FALSE
  );
  strcpy(opcn[0].topc,"'Deseo un zumo de naranja'");
  opcn[0].pf = p91;
  strcpy(opcn[1].topc,"'Eres un cerdo, gigolo, chapero de mierda'");
  opcn[1].pf = p89;
  strcpy(opcn[2].topc,"'Quiero follarte ahora mismo'");
  opcn[2].pf = p37;
  strcpy(opcn[3].topc,"No dices nada y le das un puetazo en toda la cara con todas tus fuerzas");
  opcn[3].pf = p73;
  opcn[4].topc[0] = '\0';
  if (x) return 4;
  else return REINICIAR;
}


byte8 p62(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "29",
    "Te levantas de tu asiento y como si un ser superior te escuchara miras a tu "
    "mano derecha y ves que ahora empuas un gran sable de acero bien afilado asi "
    "que corres hacia la parte delantera del autobs y con un movimiento rpido "
    "le cortas la cabeza al conductor, su sangre y restos de vsceras salpican "
    "los cristales cercanos y todo el panel de mandos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p63;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p63(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Cuando te vuelves hacia los pasajeros ves que la persona que tena "
    "posibilidades de que la hubieras besado te est apuntando con una pistola, "
    "antes de que puedas mediar palabra, incluso antes de que el autobs, que va "
    "sin control, se estampe contra algo, esta persona dispara y te aloja una "
    "bala entre ceja y ceja, el conductor del autobs no es el nico muerto "
    "a bordo. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p64(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "30",
    "Simplemente no haces nada, te quedas donde ests y consecuentemente no "
    "ocurre nada, sigues en la sala circular, sentado o sentada en la colchoneta aun "
    "decidiendo lo que vas a hacer. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p49;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p65(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "31",
    "Te levantas y enciendes la televisin. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p66;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p66(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Estn dando noticias deportivas, toda la informacin se centra en el fatal "
    "accidente en la F1, al parecer el que iba a proclamarse campen del mundo "
    "sali despedido de su monoplaza en plena marcha. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p67(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "32",
    "Decides no tomrtelo, quin sabe de qu ser el zumo..., de repente empiezas "
    "a notarte ms ligero, y sbitamente eres tan ligero que te has elevado de tu "
    "asiento y has salido despedido hacia arriba, atravesando el fuselaje del "
    "avin hacia cielo abierto, sin ni siquiera romperte la cabeza. Lo curioso es "
    "que a esas alturas sigues respirando con normalidad. La sensacin de "
    "libertada es total, puedes ir volando a donde te propongas. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p68(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "28",
    "El sujeto tiene ahora cara de hombre, pelo de mujer, por lo abultado de su "
    "pelvis se dira que posee pene, pero tambin se le denotan pechos de mujer, "
    "al verlo horrorizado sales corriendo de tu asiento. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p18;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p69(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "34",
    "Comienzas a correr hacia una direccin cualquiera, sin saber muy bien hacia "
    "dnde te diriges, al cabo de un rato sigues viendo solo un horizonte en "
    "medio de la nada. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Intentar volver a la puerta");
  opcn[0].pf = p51;
  strcpy(opcn[1].topc,"Seguir corriendo");
  opcn[1].pf = p80;
  strcpy(opcn[2].topc,"Quedarte donde ests");
  opcn[2].pf = p75;
  opcn[3].topc[0] = '\0';
  if (x) return 3;
  else return REINICIAR;
}


byte8 p70(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "22",
    "La abertura oscura no te inspira ninguna confianza as que no te acercas a "
    "ella y de repente se cierra tan rpido como se abri, la habitacin se "
    "oscurece, se empieza a oir ruido bullicioso, como silbidos algo lejanos, y "
    "tambin ruido de pisadas ms cercanas, se vuelve a hacer la luz y ya no "
    "ests en la estancia que estabas antes. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p39;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p71(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "36",
    "Te levantas del asiento en donde ests y te diriges hacia la parte delantera "
    "del avin, ests a pocos metros de la puerta de la cabina, hasta donde dejan "
    "permanecer a los pasajeros, cuando no ves a ninguna azafata cerca corres "
    "hacia la puerta de la cabina y de una patada la echas abajo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p72;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p72(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Entras en la cabina, pero alli no hay nadie, ni rastro de los pilotos. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Estrellar el avin");
  opcn[0].pf = p33;
  strcpy(opcn[1].topc,"Llamar a una azafata");
  opcn[1].pf = p92;
  strcpy(opcn[2].topc,"Salir de la cabina y volver a tu asiento");
  opcn[2].pf = p85;
  opcn[3].topc[0] = '\0';
  if (x) return 3;
  else return REINICIAR;
}


byte8 p73(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "37",
    "Le sueltas un puetazo fenomenal, va a caer de espaldas al suelo, pero antes "
    "de ni siquiera rozarlo desaparece, solo dos o tres personas del avin han "
    "sido testigos pero se hacen los tontos para que no les tomen por locos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p74;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p74(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Entonces te das cuenta de que tu tambin has desaparecido, es decir tu "
    "consciencia, tu alma, est aun en el avin pero no hay ni rastro de tu "
    "cuerpo, quiz el alma del azafato o azafata al que has golpeado siga tambin aqu. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p75(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "38",
    "Te quedas quieto donde ests, de esta forma consigues descansar un poco, de "
    "repente notas como que te ahogas, inspiras y expiras aire pero te ahogas, la "
    "proporcin de oxgeno debe haber bajado por debajo del 15%, puede que ni "
    "siquiera haya una sola molcula de oxgeno. Mueres en unos cuantos segundos, "
    "quiz en minuto y medio, como mucho. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p76(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "39",
    "Te quedas quieto observando a la gente que camina a tu alrededor, todos "
    "permanecen con gestos inexpresivos, caminan a la misma velocidad y sin "
    "parar, los areos circulan ordenadamente por carriles imaginarios, es todo "
    "tan cuadriculado que te empieza a exasperar. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p4;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p77(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "La verdad es que no es nada fcil salir de un monoplaza F1 y menos aun "
    "hacerlo en plena marcha, lo primero que haces es quitarte el cinturn de "
    "seis puntos anclaje, una vez hecho esto sabes que tienes que soltar el "
    "volante, no se puede salir de un coche de estos sin sacar el volante as que "
    "sueltas el enganche y lo tiras al asfalto, el caso es que ahora viene una "
    "curva y sin volante es un poco difcil girar, vas a colisionar antes de "
    "poder saltar. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p78;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p78(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Empiezas a frenar demasiado tarde, cuando ya parece inevitable la colisin "
    "el coche gira solo, de modo que tomas la curva correctamente y sigue "
    "acelerando aunque t sigues teniendo el pie pisando el freno, as que saltas "
    "del monoplaza en plena marcha como habas previsto. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p79;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p79(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "40",
    "El golpe contra el asfalto te produce dolores por todo el cuerpo pero eso "
    "no es lo peor, otro coche que viene por detrs de embiste de pleno. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p19;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p80(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "34",
    "Sigues corriendo sin una direccin fija, pero es intil, no encuentras nada, "
    "si hay algo est muy lejos o puede simplemente que no haya nada. Tienes sed, "
    "hambre y comienzas a tener fro. El suelo ha cambiado de color a azul "
    "marino, el cielo es rojo chilln ms intenso que nunca. Solo sobrevivirs "
    "unas cuantas horas, quizs unos pocos das. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p81(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "42",
    "Aun sabiendo que probablemente no ser de naranja te lo bebes, el sabor es "
    "desconocido para ti, nunca habas probado nada parecido y el caso es que te "
    "gusta, te gusta mucho, es ms, te gusta tanto que sigues pidiendo ms y ms "
    "zumos iguales, y sigues bebindotelos hasta la eternidad pues el avin no "
    "aterriza nunca, quiz eres feliz as. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p82(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "43",
    "Te acercas a las paredes y las vas tanteando por si hay alguna salida oculta "
    "en la sala, despus de haber recorrido toda la circunferencia te das cuenta "
    "de que efectivamente no hay ninguna salida. Cuando ya te das por vencido o vencida te "
    "tumbas en la colchoneta y justo en ese momento ves que parte de la pared ha "
    "desaparecido dejando una salida, dicha salida es tan oscura que no puedes "
    "ver lo que hay ms alla del improvisado umbral. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Acercarte al umbral y examinar desde all lo que hay ms all");
  opcn[0].pf = p3;
  strcpy(opcn[1].topc,"Entrar directamente por la abertura");
  opcn[1].pf = p84;
  strcpy(opcn[2].topc,"No acercarte hacia la abertura");
  opcn[2].pf = p70;
  opcn[3].topc[0] = '\0';
  if (x) return 3;
  else return REINICIAR;
}


byte8 p83(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Empiezas a tocar a todo el que pasa por delante de ti, especialmente a los "
    "del genero preferente por tu tendencia sexual, pero la gente ni se inmuta, "
    "pasa absolutamente de ti, no te hacen ni caso, y como tampoco es demasiado "
    "gratificante, al cabo de unos minutos desistes de tus intentos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p4;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p84(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "10",
    "Tan pronto como atraviesas el umbral se hace la luz y te encuentras en un "
    "desierto hasta donde alcanza la vista, miras hacia atrs y el umbral ha "
    "desaparecido, solo queda la arena del desierto. De repente notas una gota en "
    "la cabeza, luego otra, parece que est empezando a llover en pleno desierto, "
    "s, la lluvia torrencial es ya un hecho. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p26;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p85(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Disimuladamente, como si nada y sin levantar sospechas sales sigilosamente "
    "de la cabina y vuelves a tu asiento, parece ser que nadie se ha dado cuenta "
    "de tu 'descubrimiento', te preguntas qu pasar cuando todos se enteren de "
    "que los pilotos han desaparecido, 'quiz por casualidad hayan ido todos los "
    "tripulantes al lavabo al mismo tiempo' piensas intentando engaarte a ti "
    "mismo pero sin conseguirlo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p86;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p86(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "46",
    "Al cabo de una hora y media aproximadamente, los auxiliares anuncian el "
    "aterrizaje, te preguntas quin diablos aterrizar el avin, y por cierto, el "
    "avin supuestamente va a tomar tierra en el aeropuerto ms cercano a la "
    "ciudad donde vives. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p87;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p87(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "Pues s, parece ser que el avin pierde altura y aterriza impecablemente, te "
    "quedas algo asombrado, y te preguntas cmo es posible que todos los "
    "tripulantes puedan abandonar la cabina en pleno vuelo. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p88;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p88(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Poco antes de salir del avin, mientras vas por el pasillo ves que la puerta "
    "de la cabina est en el suelo, tal y como la dejaste al derribarla y la "
    "cabina sigue vaca, sigue sin haber rastro de los pilotos. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p89(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "47",
    "Sin inmutarse te responde: 'y a mi qu?' y se va como si nada. A "
    "continuacin sientes que desapareces del avin, ya no ests en el avin. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p39;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p90(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "48",
    "Al cabo de uno o dos minutos te traen un zumo, pero no debe ser de naranja "
    "porque es de color verde, le vas a decir algo a quien te lo ha trado pero "
    "all ya no hay nadie. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Te lo bebes");
  opcn[0].pf = p81;
  strcpy(opcn[1].topc,"No te lo bebes");
  opcn[1].pf = p67;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p91(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "48",
    "Al cabo de uno o dos minutos te traen un zumo, pero no debe ser de naranja "
    "porque es de color rojo, le vas a decir algo a quien te lo ha trado pero "
    "all ya no hay nadie. ",
    FALSE
  );
  strcpy(opcn[0].topc,"Te lo bebes");
  opcn[0].pf = p81;
  strcpy(opcn[1].topc,"No te lo bebes");
  opcn[1].pf = p67;
  opcn[2].topc[0] = '\0';
  if (x) return 2;
  else return REINICIAR;
}


byte8 p92(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "49",
    "Sales de la cabina y llamas desesperadamente a una azafata, cuando logras "
    "darte cuenta de lo que pasa a tu alrededor ves horrorizado como una azafata "
    "se acerca hacia ti, entonces porqu lo de horrorizado, pues porque la "
    "azafata es un zombi, s, una azafata-zombi!. La esquivas y te diriges "
    "hacia el resto del pasaje. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p93;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p93(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "transicion",
    "El pnico se ha apoderado de ti completamente al ver que todo el pasaje se "
    "ha convertido en zombis, antes de que puedas pensar nada ms ya tienes "
    "encima a una treintena (por lo menos) de zombis pegndote mordiscos. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p94;
  if (x) return 0;
  else return REINICIAR;
}


byte8 p94(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "fin",
    "Ya no eres una persona normalita, t mismo ya eres un zombi pero lo mejor "
    "de todo es que sientes que no est mal esto de ser zombi, que se es "
    "feliz siendo zombi, vagando de un lado para otro, yendo donde te da la real "
    "gana y atacando a cualquiera, nada de tapujos, nada de responsabilidades, lo "
    "que cualquiera deseara. ",
    FIN
  );
  opcn[0].topc[0] = '\0';
  if (x) return FIN;
  else return REINICIAR;
}


byte8 p95(opc *opcn)
{
  byte8 x =
  
  mostrar
  (
    "28",
    "El sujeto tiene ahora cara de hombre, pelo de mujer, por lo abultado de su "
    "pelvis se dira que posee pene, pero tambin se le denotan pechos de mujer, "
    "al verlo horrorizado sales corriendo de tu asiento. ",
    TRUE
  );
  opcn[0].topc[0] = '\0';
  opcn[0].pf = p18;
  if (x) return 0;
  else return REINICIAR;
}
